package com.trade.service.contract.util.esign.entity;

/**
 * E签宝实名认证记录
 */
public class ESignRealNameRecord {

    /* 实名认证流程ID */
    private String authId;
    /* 实名认证方式 FACEAUTH_TECENT_CLOUD 个人人脸识别：微众刷脸 其他类型见接口文档 */
    private String authType;
    /* 实名结果状态, 0:进行中 1:成功 2:失败 */
    private Integer status;
    /* 结果描述 */
    private String msg;
    /* 创建时间 */
    private Integer createTime;
    /* 更新时间 */
    private Integer updateTime;

    public String getAuthId() {
        return authId;
    }

    public void setAuthId(String authId) {
        this.authId = authId;
    }

    public String getAuthType() {
        return authType;
    }

    public void setAuthType(String authType) {
        this.authType = authType;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public Integer getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Integer createTime) {
        this.createTime = createTime;
    }

    public Integer getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Integer updateTime) {
        this.updateTime = updateTime;
    }
}
